function mu = eda_random_partition_mean(S,K)
% create initial k-mean cluster means, by K random
% partitions of NxM sample matrix S
% returns KxM matrix mu of means
    [N,M]=size(S);
    k = unidrnd(K,N,1); % random cluster-assignments
    mu = zeros(K,M);
    for i=[1:K] % loop over clusters
        j = find(k==i); % samples in cluster i
        mu(i,1:M) = mean(S(j,1:M),1); % their means
    end
end

