function [FTf] = filterfunRHS(g,dobs,e,H,h,M)
% companion function for filterfun, does RHS
% find f in g * f = dobs with prior information e H f= e h
% with damoing e = sigma_d / sigma_h.  This function
% M is number of unknowns; that is, the length of f
% note that GT v is similar to the convolution G v = g*v
% except that p is time-reversed and position of
% results in convolution is shifted to the bottom
N = length(dobs);
temp=conv(flipud(g),dobs);
FTfa = temp(N:N+M-1);
FTfb = (e^2)*H'*h;
FTf=FTfa+FTfb;
return